## suricata 5.0.3

=== suricata-update/Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# suricata-update/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/suricata
pkgincludedir = $(includedir)/suricata
pkglibdir = $(libdir)/suricata
pkglibexecdir = $(libexecdir)/suricata
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = suricata-update
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libprelude.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/suricata-1588068380/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /tmp/suricata-1588068380/missing autoconf
AUTOHEADER = ${SHELL} /tmp/suricata-1588068380/missing autoheader
AUTOMAKE = ${SHELL} /tmp/suricata-1588068380/missing automake-1.15
AWK = gawk
CARGO = /home/victor/.cargo/bin//cargo
CARGO_HOME = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -march=native -I${srcdir}/../rust/gen/c-headers
CLANG = /usr/local/bin/clang
CLANG_CFLAGS = 
CONFIGURE_DATAROOTDIR = /usr/local/share
CONFIGURE_LOCALSTATEDIR = /usr/local/var
CONFIGURE_PREFIX = /usr/local
CONFIGURE_SYSCONDIR = /usr/local/etc
CPP = gcc -E
CPPFLAGS = -I${srcdir}/../libhtp/  -I/usr/local/include/hs -I/usr/include/nspr -I/usr/include/nss -I/usr/include/nspr
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
GREP = /bin/grep
HAVE_COCCINELLE_CONFIG = /usr/bin/spatch
HAVE_CURL = 
HAVE_CYGPATH = no
HAVE_GETCONF_CMD = /usr/bin/getconf
HAVE_GIT_CMD = /usr/bin/git
HAVE_PCAP_CONFIG = /usr/bin/pcap-config
HAVE_PDFLATEX = /usr/bin/pdflatex
HAVE_PKG_CONFIG = /usr/bin/pkg-config
HAVE_PYTHON = /usr/bin/python3
HAVE_SPHINXBUILD = /usr/bin/sphinx-build
HAVE_WGET = /usr/bin/wget
HTP_DIR = libhtp
HTP_LDADD = ../libhtp/htp/libhtp.la
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBHTPDEVVERSION_CFLAGS = 
LIBHTPDEVVERSION_LIBS = 
LIBHTPMINVERSION_CFLAGS = 
LIBHTPMINVERSION_LIBS = 
LIBOBJS = 
LIBPCREVERSION_CFLAGS = 
LIBPCREVERSION_LIBS = 
LIBPRELUDE_CFLAGS = 
LIBPRELUDE_CONFIG = 
LIBPRELUDE_CONFIG_PREFIX = 
LIBPRELUDE_LDFLAGS = 
LIBPRELUDE_LIBS = 
LIBPRELUDE_PREFIX = 
LIBPRELUDE_PTHREAD_CFLAGS = 
LIBS = -lmagic -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lhs -lpcre  -lz -L/usr/local/lib -lhs -lplds4 -lplc4 -lnspr4 -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LLC = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
LUAJIT_CFLAGS = 
LUAJIT_LIBS = 
LUA_CFLAGS = 
LUA_INT8 = 
LUA_LIBS = 
MAKEINFO = ${SHELL} /tmp/suricata-1588068380/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPTIMIZATION_CFLAGS = -march=native
OTOOL = 
OTOOL64 = 
PACKAGE = suricata
PACKAGE_BUGREPORT = 
PACKAGE_NAME = suricata
PACKAGE_STRING = suricata 5.0.3
PACKAGE_TARNAME = suricata
PACKAGE_URL = 
PACKAGE_VERSION = 5.0.3
PATH_SEPARATOR = :
PCAP_CFLAGS =  -I/usr/include
PCAP_LIBS = 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
RUSTC = /home/victor/.cargo/bin//rustc
RUSTUP_HOME_PATH = /home/victor/.rustup
RUST_FEATURES = 
RUST_LDADD = ../rust/target/release/libsuricata.a -ldl -lrt -lm
RUST_SURICATA_LIB = ../rust/target/release/libsuricata.a
SECCFLAGS = 
SECLDFLAGS = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SURICATA_UPDATE_DIR = suricata-update
VERSION = 5.0.3
abs_builddir = /tmp/suricata-1588068380/suricata-update
abs_srcdir = /tmp/suricata-1588068380/suricata-update
abs_top_builddir = /tmp/suricata-1588068380
abs_top_srcdir = /tmp/suricata-1588068380
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
e_datarulesdir = /usr/local/share/suricata/rules
e_defaultruledir = /usr/local/var/lib/suricata/rules
e_enable_evelog = yes
e_localstatedir = /usr/local/var/run/suricata
e_logcertsdir = /usr/local/var/log/suricata/certs
e_logdir = /usr/local/var/log/suricata/
e_logfilesdir = /usr/local/var/log/suricata/files
e_magic_file = 
e_magic_file_comment = #
e_rundir = /usr/local/var/run/
e_rustdir = /tmp/suricata-1588068380/rust
e_sysconfdir = /usr/local/etc/suricata/
exec_prefix = ${prefix}
have_cargo_vendor_bin = 
have_rustup = /home/victor/.cargo/bin//rustup
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/suricata-1588068380/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libhs_CFLAGS = -I/usr/local/include/hs
libhs_LIBS = -L/usr/local/lib -lhs
libhtp_CFLAGS = 
libhtp_LIBS = 
libnetfilter_queue_CFLAGS = 
libnetfilter_queue_LIBS = 
libnspr_CFLAGS = -I/usr/include/nspr
libnspr_LIBS = -lplds4 -lplc4 -lnspr4
libnss_CFLAGS = -I/usr/include/nss -I/usr/include/nspr
libnss_LIBS = -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
rust_vendor_comment = # 
rustup_home = RUSTUP_HOME=$(RUSTUP_HOME_PATH)
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs =  libhtp
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu suricata-update/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu suricata-update/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

=== debian/changelog ===
suricata (1:5.0.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 04 May 2020 14:44:18 +0200

suricata (1:5.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Use /run instead of /var/run for pidfiles. Thanks to Michael Berg for the
    patch.
    Closes: #954435
  * Bump libhtp dependency to 0.5.33.
  * Remove nonexistent Files entries in d/copyright.
  * Use correct DEB_LDFLAGS_MAINT_APPEND in d/rules..

 -- Sascha Steinbiss <satta@debian.org>  Wed, 29 Apr 2020 09:34:49 +0200

=== debian/rules ===
#!/usr/bin/make -f

# verbose mode
export DH_VERBOSE=1

SURICATA_DESTDIR = $(CURDIR)/debian/suricata
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
export CARGO_HOME = $(CURDIR)/debian/cargohome

include /usr/share/dpkg/architecture.mk

# workaround for linking issue on armel, but should not hurt on other archs
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--allow-multiple-definition

LUAJIT_ARCHS = i386 amd64 powerpc mips mipsel armel armhf
HYPERSCAN_ARCHS = i386 amd64 hurd-i386 kfreebsd-amd64 x32
RUST_ARCHS = i386 amd64
EBPF_ARCHS = amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32

LIBHTP_PKG_VERSION=$(shell apt-cache policy libhtp2 | grep Installed | cut -f2- -d: | cut -c2-)

ifneq (,$(findstring $(DEB_HOST_ARCH),$(LUAJIT_ARCHS)))
	ENABLE_LUAJIT="--enable-luajit"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),$(HYPERSCAN_ARCHS)))
	ENABLE_HYPERSCAN="--enable-libhs"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),$(RUST_ARCHS)))
	ENABLE_HYPERSCAN="--enable-rust"
endif

CI ?= $(shell $(CURDIR)/debian/building-in-ci.sh)
ifeq ($(CI),true)
        ENABLE_UNITTESTS="--enable-unittests"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),$(EBPF_ARCHS)))
	ENABLE_EBPF=--enable-ebpf --enable-ebpf-build \
		--with-ebpf-includes=/usr/include/$(DEB_HOST_MULTIARCH)
endif

CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude --enable-nflog \
	--enable-gccprotect --disable-gccmarch-native \
	--with-libnss-includes=/usr/include/nss --with-libnss-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--with-libevent-includes=/usr/include --with-libevent-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--disable-coccinelle \
	--enable-geoip --enable-hiredis \
	--enable-non-bundled-htp \
	$(ENABLE_LUAJIT) \
	$(ENABLE_HYPERSCAN) \
	$(ENABLE_UNITTESTS) \
	$(ENABLE_EBPF)

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_auto_build:
	uname -a
	mkdir -p $(CARGO_HOME)
	dh_auto_build

override_dh_auto_clean:
	rm -rf $(CARGO_HOME)
	rm -f debian/suricata.substvars

override_dh_auto_install:
	dh_auto_install
	rm -rf $(SURICATA_DESTDIR)/usr/lib/python*;\
	(cd python &&\
		python3 -B setup.py install --install-layout=deb --prefix $(SURICATA_DESTDIR)/usr)
	# clean upstream install documentation
	rm -rf $(SURICATA_DESTDIR)/usr/share/doc/suricata/*
	$(foreach file, $(wildcard ebpf/*bpf), \
		install -D -t $(SURICATA_DESTDIR)/usr/lib/suricata/ebpf $(file) ;\
	)

override_dh_strip:
	dh_strip --dbgsym-migration='suricata-dbg (<< 1:4.0.0-2~)'

override_dh_auto_test:
	# do nothing

override_dh_gencontrol:
	echo "libhtp:Version=$(LIBHTP_PKG_VERSION)" >> debian/suricata.substvars
	dh_gencontrol

%:
	dh $@ --with python3

## suricata 6.0.1

=== suricata-update/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15.1 from Makefile.am.
+# Makefile.in generated by automake 1.15 from Makefile.am.
 # suricata-update/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2017 Free Software Foundation, Inc.
+# Copyright (C) 1994-2014 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -97,7 +97,7 @@
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
 mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_HEADER = $(top_builddir)/src/autoconf.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 AM_V_P = $(am__v_P_$(V))
@@ -122,27 +122,33 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /tmp/suricata-1588068380/missing aclocal-1.15
+ACLOCAL = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /tmp/suricata-1588068380/missing autoconf
-AUTOHEADER = ${SHELL} /tmp/suricata-1588068380/missing autoheader
-AUTOMAKE = ${SHELL} /tmp/suricata-1588068380/missing automake-1.15
-AWK = gawk
-CARGO = /home/victor/.cargo/bin//cargo
-CARGO_HOME = 
+AUTOCONF = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing autoconf
+AUTOHEADER = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing autoheader
+AUTOMAKE = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing automake-1.15
+AWK = mawk
+CARGO = /usr/bin/cargo
+CARGO_BUILD_TARGET = 
+CARGO_HOME = /root/.cargo
+CBINDGEN = /usr/bin/cbindgen
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -march=native -I${srcdir}/../rust/gen/c-headers
-CLANG = /usr/local/bin/clang
+CFLAGS = -g -O2 -std=c11 -march=native -I${srcdir}/../rust/gen -I${srcdir}/../rust/dist
+CLANG = 
 CLANG_CFLAGS = 
 CONFIGURE_DATAROOTDIR = /usr/local/share
 CONFIGURE_LOCALSTATEDIR = /usr/local/var
 CONFIGURE_PREFIX = /usr/local
 CONFIGURE_SYSCONDIR = /usr/local/etc
 CPP = gcc -E
-CPPFLAGS = -I${srcdir}/../libhtp/  -I/usr/local/include/hs -I/usr/include/nspr -I/usr/include/nss -I/usr/include/nspr
+CPPFLAGS = -I${srcdir}/../libhtp/  -I/usr/include/nspr -I/usr/include/nss -I/usr/include/nspr
+CXX = g++
+CXXCPP = g++ -E
+CXXDEPMODE = depmode=gcc3
+CXXFLAGS = -g -O2
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
@@ -157,8 +163,8 @@
 FGREP = /bin/grep -F
 GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
 GREP = /bin/grep
-HAVE_COCCINELLE_CONFIG = /usr/bin/spatch
-HAVE_CURL = 
+HAVE_COCCINELLE_CONFIG = no
+HAVE_CURL = /usr/bin/curl
 HAVE_CYGPATH = no
 HAVE_GETCONF_CMD = /usr/bin/getconf
 HAVE_GIT_CMD = /usr/bin/git
@@ -167,7 +173,7 @@
 HAVE_PKG_CONFIG = /usr/bin/pkg-config
 HAVE_PYTHON = /usr/bin/python3
 HAVE_SPHINXBUILD = /usr/bin/sphinx-build
-HAVE_WGET = /usr/bin/wget
+HAVE_WGET = no
 HTP_DIR = libhtp
 HTP_LDADD = ../libhtp/htp/libhtp.la
 INSTALL = /usr/bin/install -c
@@ -176,7 +182,7 @@
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
 LD = /usr/bin/ld -m elf_x86_64
-LDFLAGS = 
+LDFLAGS =  -rdynamic
 LIBHTPDEVVERSION_CFLAGS = 
 LIBHTPDEVVERSION_LIBS = 
 LIBHTPMINVERSION_CFLAGS = 
@@ -191,8 +197,9 @@
 LIBPRELUDE_LIBS = 
 LIBPRELUDE_PREFIX = 
 LIBPRELUDE_PTHREAD_CFLAGS = 
-LIBS = -lmagic -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lhs -lpcre  -lz -L/usr/local/lib -lhs -lplds4 -lplc4 -lnspr4 -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
+LIBS = -llz4 -lmagic -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lpcre  -lz -lplds4 -lplc4 -lnspr4 -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
+LIB_FUZZING_ENGINE = 
 LIPO = 
 LLC = 
 LN_S = ln -s
@@ -203,7 +210,7 @@
 LUA_CFLAGS = 
 LUA_INT8 = 
 LUA_LIBS = 
-MAKEINFO = ${SHELL} /tmp/suricata-1588068380/missing makeinfo
+MAKEINFO = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -216,22 +223,24 @@
 PACKAGE = suricata
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = suricata
-PACKAGE_STRING = suricata 5.0.3
+PACKAGE_STRING = suricata 6.0.1
 PACKAGE_TARNAME = suricata
 PACKAGE_URL = 
-PACKAGE_VERSION = 5.0.3
+PACKAGE_VERSION = 6.0.1
 PATH_SEPARATOR = :
 PCAP_CFLAGS =  -I/usr/include
 PCAP_LIBS = 
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
+POW_LIB = 
 RANLIB = ranlib
-RUSTC = /home/victor/.cargo/bin//rustc
-RUSTUP_HOME_PATH = /home/victor/.rustup
-RUST_FEATURES = 
+RUSTC = /usr/bin/rustc
+RUSTUP_HOME_PATH = no
+RUST_FEATURES =  function-macro
 RUST_LDADD = ../rust/target/release/libsuricata.a -ldl -lrt -lm
 RUST_SURICATA_LIB = ../rust/target/release/libsuricata.a
+RUST_SURICATA_LIBDIR = ../rust/target/release
 SECCFLAGS = 
 SECLDFLAGS = 
 SED = /bin/sed
@@ -239,13 +248,14 @@
 SHELL = /bin/bash
 STRIP = strip
 SURICATA_UPDATE_DIR = suricata-update
-VERSION = 5.0.3
-abs_builddir = /tmp/suricata-1588068380/suricata-update
-abs_srcdir = /tmp/suricata-1588068380/suricata-update
-abs_top_builddir = /tmp/suricata-1588068380
-abs_top_srcdir = /tmp/suricata-1588068380
+VERSION = 6.0.1
+abs_builddir = /builds/inliniac/suricata-ci/suricata/suricata-update
+abs_srcdir = /builds/inliniac/suricata-ci/suricata/suricata-update
+abs_top_builddir = /builds/inliniac/suricata-ci/suricata
+abs_top_srcdir = /builds/inliniac/suricata-ci/suricata
 ac_ct_AR = ar
 ac_ct_CC = gcc
+ac_ct_CXX = g++
 ac_ct_DUMPBIN = 
 am__include = include
 am__leading_dot = .
@@ -273,11 +283,11 @@
 e_magic_file = 
 e_magic_file_comment = #
 e_rundir = /usr/local/var/run/
-e_rustdir = /tmp/suricata-1588068380/rust
+e_rustdir = /builds/inliniac/suricata-ci/suricata/rust
 e_sysconfdir = /usr/local/etc/suricata/
 exec_prefix = ${prefix}
 have_cargo_vendor_bin = 
-have_rustup = /home/victor/.cargo/bin//rustup
+have_rustup = no
 host = x86_64-pc-linux-gnu
 host_alias = 
 host_cpu = x86_64
@@ -286,11 +296,11 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /tmp/suricata-1588068380/install-sh
+install_sh = ${SHELL} /builds/inliniac/suricata-ci/suricata/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
-libhs_CFLAGS = -I/usr/local/include/hs
-libhs_LIBS = -L/usr/local/lib -lhs
+libhs_CFLAGS = 
+libhs_LIBS = 
 libhtp_CFLAGS = 
 libhtp_LIBS = 
 libnetfilter_queue_CFLAGS = 
@@ -310,7 +320,7 @@
 psdir = ${docdir}
 runstatedir = ${localstatedir}/run
 rust_vendor_comment = # 
-rustup_home = RUSTUP_HOME=$(RUSTUP_HOME_PATH)
+rustup_home = 
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -382,7 +392,3 @@
 	  if test -d $$d/$$file; then \
 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

=== suricata-update/tests/docker-ubuntu-1604/Makefile ===
TAG :=	suricata-update/tests/ubuntu-1604

all:
	docker build -t $(TAG) -f Dockerfile ../..
	docker run --rm -it $(TAG)

=== debian/changelog ===
suricata (1:6.0.1-3) unstable; urgency=medium

  * Address CVE-2021-35063 by backporting upstream fix.
    Closes: #990835

 -- Sascha Steinbiss <satta@debian.org>  Mon, 19 Jul 2021 13:26:22 +0200

suricata (1:6.0.1-2) unstable; urgency=medium

  * Also specify explicit separate '-latomic' reference on mipsel.
    This addresses a remaining FTBFS there.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 11 Dec 2020 09:35:57 +0100

suricata (1:6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Disable Prelude support.
    This is broken upstream, see https://redmine.openinfosecfoundation.org/issues/4065
  * Bump libhtp dependency to 0.5.36.
  * Disable suricata-update, as it is a separate package in Debian.
  * Add patches to fix builds with new Autoconf scripts.
  * Use debhelper 13.
  * Include upstream's man pages.
  * Add workaround for missing '-latomic' symbols on armel.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 08 Oct 2020 22:23:17 +0200

=== debian/control ===
Source: suricata
Section: net
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>,
           Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 13),
	       dh-python,
               libbpf-dev [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
               clang [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
               llvm [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
               libcap-ng-dev,
               libelf-dev [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
               libevent-dev,
               libgeoip-dev,
               libhiredis-dev,
               libjansson-dev,
               libluajit-5.1-dev [i386 amd64 powerpc mips mipsel armel armhf],
               libhyperscan-dev (>= 4.4.0) [i386 amd64 x32],
               rustc (>= 1.28.0),
               cargo (>= 0.29.0),
               liblz4-dev,
               libmagic-dev,
               libmaxminddb-dev,
               libnet1-dev | libnet-dev,
               libnetfilter-log-dev,
               libnetfilter-queue-dev,
               libnspr4-dev,
               libnss3-dev,
               libpcap-dev,
               libpcre3-dev,
               libyaml-dev,
               python3:any,
               zlib1g-dev | libz-dev,
               libhtp-dev (>= 1:0.5.36),
               procps
Standards-Version: 4.5.0
Homepage: https://www.suricata-ids.org/
Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata
Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata.git

Package: suricata
Architecture: linux-any
Pre-Depends: dpkg (>= 1.15.7.2), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, libhtp2 (>= ${libhtp:Version}~), lsb-base (>= 3.0-6)
Conflicts: libhtp1 (<< 0.5.16), suricata-hyperscan (<< 3.2)
Replaces: libhtp1 (<< 0.5.16), suricata-hyperscan (<< 3.2)
Recommends: python3, snort-rules-default, suricata-update
Suggests: libtcmalloc-minimal4
Description: Next Generation Intrusion Detection and Prevention Tool
 Suricata is a network Intrusion Detection System (IDS). It is based on
 rules (and is fully compatible with snort rules) to detect a variety of
 attacks / probes by searching packet content.
 .
 It can also be used as Intrusion Prevention System (IPS), and as higher layer
 firewall.
 .
 This new Engine supports Multi-Threading, Automatic Protocol Detection
 (IP, TCP, UDP, ICMP, HTTP, TLS, FTP and SMB), Gzip Decompression, Fast
 IP Matching and coming soon hardware acceleration on CUDA and OpenCL GPU
 cards.
 .
 This version has inline (NFQUEUE) support enabled.

Package: suricata-oinkmaster
Architecture: all
Depends: oinkmaster, suricata (>= ${source:Version}), ${misc:Depends}
Description: Integration package between suricata and oinkmaster
 Suricata is a network Intrusion Detection System (IDS). It is based on
 rules (and is fully compatible with snort rules) to detect a variety of
 attacks / probes by searching packet content.
 .
 This package contains the integration bits between suricata and oinkmaster
 to allow easy automated ruleset updates.

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,18 @@
 export DH_VERBOSE=1
 
 SURICATA_DESTDIR = $(CURDIR)/debian/suricata
-export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow
 export CARGO_HOME = $(CURDIR)/debian/cargohome
 
 include /usr/share/dpkg/architecture.mk
 
-# workaround for linking issue on armel, but should not hurt on other archs
+# workaround for linking issue on some archs
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--allow-multiple-definition
+EXTRA_ATOMIC_ARCHS = armel mipsel
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(EXTRA_ATOMIC_ARCHS)))
+	DEB_LDFLAGS_MAINT_APPEND += -latomic
+	export DEB_LDFLAGS_MAINT_APPEND
+endif
 
 LUAJIT_ARCHS = i386 amd64 powerpc mips mipsel armel armhf
 HYPERSCAN_ARCHS = i386 amd64 hurd-i386 kfreebsd-amd64 x32
@@ -41,7 +46,7 @@
 		--with-ebpf-includes=/usr/include/$(DEB_HOST_MULTIARCH)
 endif
 
-CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude --enable-nflog \
+CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-nflog \
 	--enable-gccprotect --disable-gccmarch-native \
 	--with-libnss-includes=/usr/include/nss --with-libnss-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -49,6 +54,7 @@
 	--disable-coccinelle \
 	--enable-geoip --enable-hiredis \
 	--enable-non-bundled-htp \
+	--disable-suricata-update \
 	$(ENABLE_LUAJIT) \
 	$(ENABLE_HYPERSCAN) \
 	$(ENABLE_UNITTESTS) \
@@ -83,6 +89,9 @@
 override_dh_auto_test:
 	# do nothing
 
+override_dh_missing:
+	dh_missing --list-missing
+
 override_dh_gencontrol:
 	echo "libhtp:Version=$(LIBHTP_PKG_VERSION)" >> debian/suricata.substvars
 	dh_gencontrol

=== debian/tests/control ===
Test-Command: suricata --build-info
Depends: @

Test-Command: suricatasc -c "version"
Depends: @
Restrictions: needs-root, isolation-container, flaky

Test-Command: suricatasc -c "command-list"
Depends: @
Restrictions: needs-root, isolation-container, flaky

Test-Command: suricatasc -c "capture-mode"
Depends: @
Restrictions: needs-root, isolation-container, flaky

Test-Command: sleep 10 && suricatasc -c "dump-counters"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: suricatasc -c "uptime"
Depends: @
Restrictions: needs-root, isolation-container, flaky

Test-Command: suricatasc -c "reload-rules"
Depends: @
Restrictions: needs-root, isolation-container, flaky

Test-Command: suricatasc -c "iface-list"
Depends: @
Restrictions: needs-root, isolation-container, flaky

Test-Command: suricatasc -c "shutdown"
Depends: @
Restrictions: needs-root, isolation-container, flaky

Test-Command: sleep 10 && suricatasc -c "running-mode"
Depends: @
Restrictions: needs-root, isolation-container, flaky

Tests: suricata-oinkmaster-updater.sh
Depends: @, curl
Restrictions: needs-root, isolation-container, allow-stderr, skippable

Tests: systemd-service-test.sh
Depends: @, systemd, procps
Restrictions: needs-root, isolation-container, allow-stderr

Test-Command: src/suricata -u
Depends: @, @builddeps@, procps, geoip-database
Restrictions: needs-root, isolation-container, build-needed, allow-stderr

## suricata 6.0.3

=== suricata-update/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15 from Makefile.am.
+# Makefile.in generated by automake 1.16.1 from Makefile.am.
 # suricata-update/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2014 Free Software Foundation, Inc.
+# Copyright (C) 1994-2018 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -122,15 +122,15 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing aclocal-1.15
+ACLOCAL = ${SHELL} /builds/dev/suricata/missing aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing autoconf
-AUTOHEADER = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing autoheader
-AUTOMAKE = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing automake-1.15
+AUTOCONF = ${SHELL} /builds/dev/suricata/missing autoconf
+AUTOHEADER = ${SHELL} /builds/dev/suricata/missing autoheader
+AUTOMAKE = ${SHELL} /builds/dev/suricata/missing automake-1.16
 AWK = mawk
-CARGO = /usr/bin/cargo
+CARGO = /root/.cargo/bin/cargo
 CARGO_BUILD_TARGET = 
 CARGO_HOME = /root/.cargo
 CBINDGEN = /usr/bin/cbindgen
@@ -210,7 +210,7 @@
 LUA_CFLAGS = 
 LUA_INT8 = 
 LUA_LIBS = 
-MAKEINFO = ${SHELL} /builds/inliniac/suricata-ci/suricata/missing makeinfo
+MAKEINFO = ${SHELL} /builds/dev/suricata/missing makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -223,10 +223,10 @@
 PACKAGE = suricata
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = suricata
-PACKAGE_STRING = suricata 6.0.1
+PACKAGE_STRING = suricata 6.0.3
 PACKAGE_TARNAME = suricata
 PACKAGE_URL = 
-PACKAGE_VERSION = 6.0.1
+PACKAGE_VERSION = 6.0.3
 PATH_SEPARATOR = :
 PCAP_CFLAGS =  -I/usr/include
 PCAP_LIBS = 
@@ -235,8 +235,8 @@
 PKG_CONFIG_PATH = 
 POW_LIB = 
 RANLIB = ranlib
-RUSTC = /usr/bin/rustc
-RUSTUP_HOME_PATH = no
+RUSTC = /root/.cargo/bin/rustc
+RUSTUP_HOME_PATH = /root/.rustup
 RUST_FEATURES =  function-macro
 RUST_LDADD = ../rust/target/release/libsuricata.a -ldl -lrt -lm
 RUST_SURICATA_LIB = ../rust/target/release/libsuricata.a
@@ -248,11 +248,11 @@
 SHELL = /bin/bash
 STRIP = strip
 SURICATA_UPDATE_DIR = suricata-update
-VERSION = 6.0.1
-abs_builddir = /builds/inliniac/suricata-ci/suricata/suricata-update
-abs_srcdir = /builds/inliniac/suricata-ci/suricata/suricata-update
-abs_top_builddir = /builds/inliniac/suricata-ci/suricata
-abs_top_srcdir = /builds/inliniac/suricata-ci/suricata
+VERSION = 6.0.3
+abs_builddir = /builds/dev/suricata/suricata-update
+abs_srcdir = /builds/dev/suricata/suricata-update
+abs_top_builddir = /builds/dev/suricata
+abs_top_srcdir = /builds/dev/suricata
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
@@ -283,11 +283,11 @@
 e_magic_file = 
 e_magic_file_comment = #
 e_rundir = /usr/local/var/run/
-e_rustdir = /builds/inliniac/suricata-ci/suricata/rust
+e_rustdir = /builds/dev/suricata/rust
 e_sysconfdir = /usr/local/etc/suricata/
 exec_prefix = ${prefix}
 have_cargo_vendor_bin = 
-have_rustup = no
+have_rustup = /root/.cargo/bin/rustup
 host = x86_64-pc-linux-gnu
 host_alias = 
 host_cpu = x86_64
@@ -296,7 +296,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /builds/inliniac/suricata-ci/suricata/install-sh
+install_sh = ${SHELL} /builds/dev/suricata/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 libhs_CFLAGS = 
@@ -320,7 +320,7 @@
 psdir = ${docdir}
 runstatedir = ${localstatedir}/run
 rust_vendor_comment = # 
-rustup_home = 
+rustup_home = RUSTUP_HOME=$(RUSTUP_HOME_PATH)
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -350,8 +350,8 @@
 	  *config.status*) \
 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
 	esac;
 
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
@@ -375,7 +375,10 @@
 cscope cscopelist:
 
 
-distdir: $(DISTFILES)
+distdir: $(BUILT_SOURCES)
+	$(MAKE) $(AM_MAKEFLAGS) distdir-am
+
+distdir-am: $(DISTFILES)
 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 	list='$(DISTFILES)'; \
@@ -392,3 +395,5 @@
 	  if test -d $$d/$$file; then \
 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 	    if test -d "$(distdir)/$$file"; then \
+	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+	    fi; \

=== debian/changelog ===
suricata (1:6.0.3-2) unstable; urgency=medium

  * Use 'command -v' instead of 'which' in suricata-oinkmaster cron file.
    This avoids a runtime deprecation warning on recent versions, and fixes
    piuparts cron job tests.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 30 Aug 2021 20:56:18 +0200

suricata (1:6.0.3-1) unstable; urgency=medium

  * Upload to unstable post-release.
  * Remove patch applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Aug 2021 16:33:31 +0200

suricata (1:6.0.3-1~exp2) experimental; urgency=medium

  * Also use libatomic workaround on powerpc.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 01 Jul 2021 19:44:53 +0200

suricata (1:6.0.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Add Rules-Requires-Root: no.
  * Raise libhtp minimum version B-D to 0.5.38.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 30 Jun 2021 23:51:24 +0200

suricata (1:6.0.2-1~exp1) experimental; urgency=medium

  * Fix conditional variable use in d/rules.
  * New upstream release.
  * Use libhtp 0.5.37.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 11 Dec 2020 09:45:02 +0100

=== debian/control ===
--- 
+++ 
@@ -32,9 +32,10 @@
                libyaml-dev,
                python3:any,
                zlib1g-dev | libz-dev,
-               libhtp-dev (>= 1:0.5.36),
+               libhtp-dev (>= 1:0.5.38),
                procps
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://www.suricata-ids.org/
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata
 Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata.git

## suricata 6.0.4

=== suricata-update/Makefile ===
--- 
+++ 
@@ -223,10 +223,10 @@
 PACKAGE = suricata
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = suricata
-PACKAGE_STRING = suricata 6.0.3
+PACKAGE_STRING = suricata 6.0.4
 PACKAGE_TARNAME = suricata
 PACKAGE_URL = 
-PACKAGE_VERSION = 6.0.3
+PACKAGE_VERSION = 6.0.4
 PATH_SEPARATOR = :
 PCAP_CFLAGS =  -I/usr/include
 PCAP_LIBS = 
@@ -248,7 +248,7 @@
 SHELL = /bin/bash
 STRIP = strip
 SURICATA_UPDATE_DIR = suricata-update
-VERSION = 6.0.3
+VERSION = 6.0.4
 abs_builddir = /builds/dev/suricata/suricata-update
 abs_srcdir = /builds/dev/suricata/suricata-update
 abs_top_builddir = /builds/dev/suricata

=== debian/changelog ===
suricata (1:6.0.4-3) unstable; urgency=medium

  * Remove suricata-oinkmaster binary package.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 14 Dec 2021 15:24:47 +0100

suricata (1:6.0.4-2) unstable; urgency=medium

  * Raise libhtp minimum dependency version to 0.5.39.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Nov 2021 22:57:47 +0100

suricata (1:6.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Nov 2021 22:00:08 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libyaml-dev,
                python3:any,
                zlib1g-dev | libz-dev,
-               libhtp-dev (>= 1:0.5.38),
+               libhtp-dev (>= 1:0.5.39),
                procps
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
@@ -62,14 +62,3 @@
  cards.
  .
  This version has inline (NFQUEUE) support enabled.
-
-Package: suricata-oinkmaster
-Architecture: all
-Depends: oinkmaster, suricata (>= ${source:Version}), ${misc:Depends}
-Description: Integration package between suricata and oinkmaster
- Suricata is a network Intrusion Detection System (IDS). It is based on
- rules (and is fully compatible with snort rules) to detect a variety of
- attacks / probes by searching packet content.
- .
- This package contains the integration bits between suricata and oinkmaster
- to allow easy automated ruleset updates.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # verbose mode
 export DH_VERBOSE=1
 
-SURICATA_DESTDIR = $(CURDIR)/debian/suricata
+SURICATA_DESTDIR = $(CURDIR)/debian/tmp
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow
 export CARGO_HOME = $(CURDIR)/debian/cargohome
 
@@ -11,7 +11,7 @@
 
 # workaround for linking issue on some archs
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--allow-multiple-definition
-EXTRA_ATOMIC_ARCHS = armel mipsel
+EXTRA_ATOMIC_ARCHS = armel mipsel powerpc
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(EXTRA_ATOMIC_ARCHS)))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
 	export DEB_LDFLAGS_MAINT_APPEND
@@ -73,7 +73,7 @@
 	rm -f debian/suricata.substvars
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install --destdir=$(SURICATA_DESTDIR)
 	rm -rf $(SURICATA_DESTDIR)/usr/lib/python*;\
 	(cd python &&\
 		python3 -B setup.py install --install-layout=deb --prefix $(SURICATA_DESTDIR)/usr)

## suricata 6.0.5

=== suricata-update/Makefile ===
--- 
+++ 
@@ -122,18 +122,18 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /builds/dev/suricata/missing aclocal-1.16
+ACLOCAL = ${SHELL} /builds/vjulien/suricata/missing aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /builds/dev/suricata/missing autoconf
-AUTOHEADER = ${SHELL} /builds/dev/suricata/missing autoheader
-AUTOMAKE = ${SHELL} /builds/dev/suricata/missing automake-1.16
+AUTOCONF = ${SHELL} /builds/vjulien/suricata/missing autoconf
+AUTOHEADER = ${SHELL} /builds/vjulien/suricata/missing autoheader
+AUTOMAKE = ${SHELL} /builds/vjulien/suricata/missing automake-1.16
 AWK = mawk
 CARGO = /root/.cargo/bin/cargo
 CARGO_BUILD_TARGET = 
 CARGO_HOME = /root/.cargo
-CBINDGEN = /usr/bin/cbindgen
+CBINDGEN = /root/.cargo/bin/cbindgen
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2 -std=c11 -march=native -I${srcdir}/../rust/gen -I${srcdir}/../rust/dist
@@ -210,7 +210,7 @@
 LUA_CFLAGS = 
 LUA_INT8 = 
 LUA_LIBS = 
-MAKEINFO = ${SHELL} /builds/dev/suricata/missing makeinfo
+MAKEINFO = ${SHELL} /builds/vjulien/suricata/missing makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -223,10 +223,10 @@
 PACKAGE = suricata
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = suricata
-PACKAGE_STRING = suricata 6.0.4
+PACKAGE_STRING = suricata 6.0.5
 PACKAGE_TARNAME = suricata
 PACKAGE_URL = 
-PACKAGE_VERSION = 6.0.4
+PACKAGE_VERSION = 6.0.5
 PATH_SEPARATOR = :
 PCAP_CFLAGS =  -I/usr/include
 PCAP_LIBS = 
@@ -248,11 +248,11 @@
 SHELL = /bin/bash
 STRIP = strip
 SURICATA_UPDATE_DIR = suricata-update
-VERSION = 6.0.4
-abs_builddir = /builds/dev/suricata/suricata-update
-abs_srcdir = /builds/dev/suricata/suricata-update
-abs_top_builddir = /builds/dev/suricata
-abs_top_srcdir = /builds/dev/suricata
+VERSION = 6.0.5
+abs_builddir = /builds/vjulien/suricata/suricata-update
+abs_srcdir = /builds/vjulien/suricata/suricata-update
+abs_top_builddir = /builds/vjulien/suricata
+abs_top_srcdir = /builds/vjulien/suricata
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
@@ -283,7 +283,7 @@
 e_magic_file = 
 e_magic_file_comment = #
 e_rundir = /usr/local/var/run/
-e_rustdir = /builds/dev/suricata/rust
+e_rustdir = /builds/vjulien/suricata/rust
 e_sysconfdir = /usr/local/etc/suricata/
 exec_prefix = ${prefix}
 have_cargo_vendor_bin = 
@@ -296,7 +296,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /builds/dev/suricata/install-sh
+install_sh = ${SHELL} /builds/vjulien/suricata/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 libhs_CFLAGS = 
@@ -395,5 +395,3 @@
 	  if test -d $$d/$$file; then \
 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \

=== debian/changelog ===
suricata (1:6.0.5-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 05 May 2022 08:49:38 +0200

suricata (1:6.0.5-2) unstable; urgency=medium

  * Introduce patch to fix segfaulting autopkgtests on s390x.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 28 Apr 2022 08:51:06 +0200

suricata (1:6.0.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 21 Apr 2022 20:07:14 +0200

suricata (1:6.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Raise libhtp minimum dependency version to 0.5.40.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 21 Apr 2022 19:53:32 +0200

suricata (1:6.0.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 19 Nov 2021 10:36:31 +0100

suricata (1:6.0.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Nov 2021 22:26:53 +0100

suricata (1:6.0.3-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 28 Oct 2021 09:43:17 +0200

=== debian/watch ===
# watch control file for uscan
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=pgpsigurlmangle=s/$/.sig/ https://openinfosecfoundation.org/download/ suricata-([\d\.]*)\.tar\.gz
